import { createBrowserRouter, RouterProvider } from "react-router-dom";
import Main from "./pages/Main";
import Recipes, { loadRecipes } from "./pages/Recipes";
import ErrorHandler from "./components/ErrorHandler";
import Recipe from "./pages/Recipe";
import { Home } from "./pages/Home";

const router = createBrowserRouter([
  {
    path: "",
    element: <Main />,
    errorElement: <ErrorHandler />,
    children: [
      {
        index: true,
        element: <Home />,
      },
      {
        path: "recipes",
        element: <Recipes />,
        loader: loadRecipes,
      },
      {
        path: "recipe/:id",
        element: <Recipe />,
      },
    ],
  },
]);

function App() {
  return <RouterProvider router={router} />;
}

export default App;
