import classes from "./../assets/css/recipe.module.css";
import { useSelector } from "react-redux/es/hooks/useSelector";
import { useEffect } from "react";
import { BreadCrumbActions } from "../store/breadcrumb";
import { useDispatch } from "react-redux";
import { Link } from "react-router-dom";
const Recipe = () => {
  const recipe = useSelector((state) => state.recipe);
  const { query } = useSelector((state) => state.search);

  const dispatch = useDispatch();

  useEffect(() => {
    const breadCrumb = [
      {
        title: <Link to="/">Home</Link>,
      },
      {
        title: <Link to={`/recipes?query=${query}`}>{query}</Link>,
      },
      {
        title: recipe.name,
      },
    ];
    dispatch(BreadCrumbActions.updateBreadCrumb(breadCrumb));
  }, []);
  return (
    <div>
      <div>
        <img
          className={classes.thumbnail}
          src={recipe.thumbnail_url}
          alt={recipe.thumbnail_alt_text}
        ></img>
      </div>
      <div className={classes.title}>{recipe.name}</div>
      <p>{recipe.description}</p>
      <div>
        <h4>Instructions :</h4>
        {recipe.instructions.map((item) => (
          <li key={item.id}>{item.display_text}</li>
        ))}
      </div>
    </div>
  );
};
export default Recipe;
