import { configureStore, combineReducers } from "@reduxjs/toolkit";
import layoutSlice from "./layout";
import recipeSlice from "./recipe";
import breadCrumbSlice from "./breadcrumb";
import searchSlice from "./search";

const rootReducer = combineReducers({
  layout: layoutSlice,
  recipe: recipeSlice,
  breadCrumb: breadCrumbSlice.reducer,
  search: searchSlice.reducer,
});

const store = configureStore({
  reducer: rootReducer,
});

export default store;
