import { createSlice } from "@reduxjs/toolkit";

const initialRecipeState = {
  name: "",
  thumbnail_url: "",
  instructions: [],
  description: "",
};

const recipeSlice = createSlice({
  name: "layout",
  initialState: initialRecipeState,
  reducers: {
    updateRecipe(state, { payload }) {
      state.name = payload.name;
      state.thumbnail_url = payload.thumbnail_url;
      state.instructions = payload.instructions;
      state.description = payload.description;
    },
  },
});

export const RecipeActions = recipeSlice.actions;

export default recipeSlice.reducer;
